Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.jndi
Interface HANamingServiceMBean

All Superinterfaces:
  DetachedHANamingServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  HANamingService

public interface HANamingServiceMBean
extends DetachedHANamingServiceMBean

* HA-JNDI service that provides JNDI services in a clustered way. * Bindings are replicated cluster-wide. * Lookups are: * - first resolved locally in the cluster-wide tree * - if not available, resolved in the local underlying JNDI tree * - if not available, the query is broadcast on the cluster and each node determines * if it has one in its local JNDI tree * * The HA-JNDI service also provides an automatic-discovery feature that allow clients * to resolve the service through multicast. * * @author Bill Burke * @author Sacha Labourey * @version $Revision: 1.16 $ * *

Revisions:

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getClientSocketFactory()` Client socket factory to be used for client-server RMI invocations during JNDI queries
`int` | `getRmiPort()`
`String` | `getServerSocketFactory()` Server socket factory to be used for client-server RMI invocations during JNDI queries
`void` | `setClientSocketFactory(String factoryClassName)`
`void` | `setRmiPort(int p)` RmiPort to be used by the HA-JNDI service once bound.
`void` | `setServerSocketFactory(String factoryClassName)`

Methods inherited from interface org.jboss.ha.jndi.DetachedHANamingServiceMBean
`getAutoDiscoveryAddress, getAutoDiscoveryGroup, getBacklog, getBindAddress, getMethodMap, getPartitionName, getPort, getProxyFactoryObjectName, invoke, setAutoDiscoveryAddress, setAutoDiscoveryGroup, setBacklog, setBindAddress, setPartitionName, setPort, setProxyFactoryObjectName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setRmiPort

    public void setRmiPort(int p)

  RmiPort to be used by the HA-JNDI service once bound. 0 => auto.

### getRmiPort

    public int getRmiPort()

### getClientSocketFactory

    public String getClientSocketFactory()

  Client socket factory to be used for client-server RMI invocations during JNDI queries

### setClientSocketFactory

    public void setClientSocketFactory(String factoryClassName)
                                throws ClassNotFoundException,
                                       InstantiationException,
                                       IllegalAccessException

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

### getServerSocketFactory

    public String getServerSocketFactory()

  Server socket factory to be used for client-server RMI invocations during JNDI queries

### setServerSocketFactory

    public void setServerSocketFactory(String factoryClassName)
                                throws ClassNotFoundException,
                                       InstantiationException,
                                       IllegalAccessException

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.